Bug 239000 - net/kafka: upgrade to 2.3.0
Summary: net/kafka: upgrade to 2.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-05 08:59 UTC by timp87
Modified: 2019-07-15 15:53 UTC (History)
1 user (show)

See Also:
dmitry.wagin: maintainer-feedback+


Attachments
port patch (10.49 KB, patch)
2019-07-05 08:59 UTC, timp87
no flags Details | Diff
kafka-2.3.0.diff (11.92 KB, patch)
2019-07-06 17:33 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
Details | Diff
kafka-2.3.0.diff (12.13 KB, patch)
2019-07-15 12:03 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2019-07-05 08:59:13 UTC
Created attachment 205526 [details]
port patch

- Upgrade net/kafka to latest 2.3.0
- Incorporate rc script fix from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238424
Comment 1 Dmitry Wagin 2019-07-05 09:12:33 UTC
Please remove KAFKA_RUNDIR it's no longer needed!
MFS (Memory File System) /var/run does not work with it.
Comment 2 timp87 2019-07-05 15:30:13 UTC
(In reply to Dmitry Wagin from comment #1)
Could you please describe a bit more this?
Comment 3 Dmitry Wagin 2019-07-06 17:33:06 UTC
Created attachment 205548 [details]
kafka-2.3.0.diff

I have prepared a patch with fixes
Comment 4 timp87 2019-07-06 19:10:40 UTC
Comment on attachment 205548 [details]
kafka-2.3.0.diff

I approve this one
Comment 5 Dmitry Wagin 2019-07-15 12:03:17 UTC
Created attachment 205796 [details]
kafka-2.3.0.diff

fixed typo
Comment 6 timp87 2019-07-15 13:08:16 UTC
Comment on attachment 205796 [details]
kafka-2.3.0.diff

+1
Comment 7 commit-hook freebsd_committer 2019-07-15 15:53:01 UTC
A commit references this bug:

Author: swills
Date: Mon Jul 15 15:52:49 UTC 2019
New revision: 506671
URL: https://svnweb.freebsd.org/changeset/ports/506671

Log:
  net/kafka: update to 2.3.0

  While here, improve rc script and formatting

  PR:		239000
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>
  Approved by:	timp87@gmail.com (maintainer)

Changes:
  head/net/kafka/Makefile
  head/net/kafka/distinfo
  head/net/kafka/files/kafka.in
  head/net/kafka/pkg-plist
Comment 8 Steve Wills freebsd_committer 2019-07-15 15:53:56 UTC
Committed, thanks!